/** 
 *******************************************************************************
 * @file    led.h
 * @brief   LED functions prototypes for the TOSHIBA 'TMPM381' Device Series
 * @version V0.100
 * @date    2015/07/15
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __LED_H
#define __LED_H

#ifdef __cplusplus
extern "C" {
#endif  /*__cplusplus*/

/* Includes ------------------------------------------------------------------*/
#include "TMPM381.h"
#include "tmpm381_gpio.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
#define LED0         (0x01U)
#define LED1         (0x02U)
#define LED2         (0x04U)
#define LED3         (0x08U)
#define LED4         (0x10U)
#define LED5         (0x20U)
#define LED6         (0x40U)
#define LED7         (0x80U)
#define LED_ALL      (0xFFU)

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void LED_Init(void);
void LED_On(uint8_t led);
void LED_Off(uint8_t led);

#ifdef __cplusplus
}
#endif                          /* __cplusplus */
#endif                          /* LED_H */
